Bug 1724056 - Remove usage of rpmUtils.miscutils
Summary: Remove usage of rpmUtils.miscutils
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Core
Version: master
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: ---
Assignee: Gal Zaidman
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1761798
TreeView+ depends on / blocked
 
Reported: 2019-06-26 07:35 UTC by Milan Zamazal
Modified: 2022-02-24 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1761798 (view as bug list)
Environment:
Last Closed: 2020-03-17 13:39:50 UTC
oVirt Team: Integration


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-44845 0 None None None 2022-02-24 15:51:03 UTC
oVirt gerrit 101293 0 'None' MERGED Remove usage of rpmUtils.miscutils 2021-02-16 21:46:09 UTC

Description Milan Zamazal 2019-06-26 07:35:00 UTC
dnf doesn't provide rpmUtils.miscutils. Usage of this package causes the following error when trying to deploy a RHEL 8 host:

  2019-06-25 12:59:48,701+0200 DEBUG otopi.plugins.otopi.network.firewalld firewalld._get_firewalld_cmd_version:116 firewalld version: 0.6.3
  2019-06-25 12:59:48,701+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventEnd STAGE customization METHOD otopi.plugins.otopi.network.firewalld.Plugin._customization (None)
  2019-06-25 12:59:48,701+0200 DEBUG otopi.context context.dumpEnvironment:731 ENVIRONMENT DUMP - BEGIN
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context.dumpEnvironment:741 ENV NETWORK/firewalldAvailable=bool:'True'
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context.dumpEnvironment:745 ENVIRONMENT DUMP - END
  2019-06-25 12:59:48,702+0200 DEBUG otopi.context context._executeMethod:127 Stage customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1
  2019-06-25 12:59:48,702+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventStart STAGE customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1 (None)
  2019-06-25 12:59:48,703+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventEnd STAGE customization METHOD otopi.plugins.otopi.core.config.Plugin._customize1 (None)
  2019-06-25 12:59:48,703+0200 DEBUG otopi.context context._executeMethod:127 Stage customization METHOD otopi.plugins.ovirt_host_deploy.kdump.packages.Plugin._customization
  2019-06-25 12:59:48,703+0200 DEBUG otopi.plugins.otopi.dialog.machine dialog.__logString:204 DIALOG:SEND       **%EventStart STAGE customization METHOD otopi.plugins.ovirt_host_deploy.kdump.packages.Plugin._customization (None)
  2019-06-25 12:59:48,704+0200 DEBUG otopi.context context._executeMethod:145 method exception
  Traceback (most recent call last):
    File "/tmp/ovirt-AX5hJa1Fcr/pythonlib/otopi/context.py", line 132, in _executeMethod
      method['method']()
    File "/tmp/ovirt-AX5hJa1Fcr/otopi-plugins/ovirt-host-deploy/kdump/packages.py", line 216, in _customization
      self._kexec_tools_version_supported()
    File "/tmp/ovirt-AX5hJa1Fcr/otopi-plugins/ovirt-host-deploy/kdump/packages.py", line 143, in _kexec_tools_version_supported
      from rpmUtils.miscutils import compareEVR
  ModuleNotFoundError: No module named 'rpmUtils'
  2019-06-25 12:59:48,705+0200 ERROR otopi.context context._executeMethod:154 Failed to execute stage 'Environment customization': No module named 'rpmUtils'

Comment 2 Petr Matyáš 2020-01-21 14:47:37 UTC
Verified on ovirt-host-deploy-common-1.9.0-0.0.master.20191128124417.gitd2b9fa5.el7ev.noarch

Comment 3 Sandro Bonazzola 2020-03-17 13:39:50 UTC
Closing won't fix. We are not shipping ovirt-host-deploy in 4.4


Note You need to log in before you can comment on or make changes to this bug.